Forum: Ruby on Rails Edge Rails, Ruby 1.8.2 and "uninitialized constant 'modelnam

Announcement (2017-05-07): www.ruby-forum.com is now read-only since I unfortunately do not have the time to support and maintain the forum any more. Please see rubyonrails.org/community and ruby-lang.org/en/community for other Rails- und Ruby-related community platforms.
9904f8acaf66a3c1a4b4434676be11cf?d=identicon&s=25 John Kopanas (Guest)
on 2006-02-16 03:47
(Received via mailing list)
I know it might seem like I am repeating myself but I can't seem to
find the solution to my problem.  I am trying to run edge rails using
"rake freeze_edge"  and every time I do that my application stops to
work.  I get an error on every page. I get a "uninitialized constant
modelname" error where modelname is the object being created for that
view

Has anyone ever seen this with edge?  Your help would be greatly
appreciated :-).

I pasted the full trace just in case that would help:

./script/../config/../vendor/rails/activesupport/lib/active_support/
dependencies.rb:110:in `const_missing'
./script/../config/../vendor/rails/activesupport/lib/active_support/
dependencies.rb:137:in `const_missing'
./script/../config/../vendor/rails/activesupport/lib/active_support/
dependencies.rb:139:in `send'
./script/../config/../vendor/rails/activesupport/lib/active_support/
dependencies.rb:139:in `const_missing'
#{RAILS_ROOT}/app/controllers/notes_controller.rb:6:in `view'
./script/../config/../vendor/rails/actionpack/lib/action_controller/
base.rb:887:in `send'
./script/../config/../vendor/rails/actionpack/lib/action_controller/
base.rb:887:in `perform_action_without_filters'
./script/../config/../vendor/rails/actionpack/lib/action_controller/
filters.rb:355:in `perform_action_without_benchmark'
./script/../config/../vendor/rails/actionpack/lib/action_controller/
benchmarking.rb:69:in `perform_action_without_rescue'
./script/../config/../vendor/rails/actionpack/lib/action_controller/
benchmarking.rb:69:in `measure'
./script/../config/../vendor/rails/actionpack/lib/action_controller/
benchmarking.rb:69:in `perform_action_without_rescue'
./script/../config/../vendor/rails/actionpack/lib/action_controller/
rescue.rb:82:in `perform_action'
./script/../config/../vendor/rails/actionpack/lib/action_controller/
base.rb:359:in `send'
./script/../config/../vendor/rails/actionpack/lib/action_controller/
base.rb:359:in `process_without_filters'
./script/../config/../vendor/rails/actionpack/lib/action_controller/
filters.rb:364:in `process_without_session_management_support'
./script/../config/../vendor/rails/actionpack/lib/action_controller/
session_management.rb:117:in `process'
./script/../config/../vendor/rails/railties/lib/dispatcher.rb:38:in
`dispatch'
./script/../config/../vendor/rails/railties/lib/webrick_server.rb:
117:in `handle_dispatch'
./script/../config/../vendor/rails/railties/lib/webrick_server.rb:
83:in `service'
/opt/local/lib/ruby/1.8/webrick/httpserver.rb:104:in `service'
/opt/local/lib/ruby/1.8/webrick/httpserver.rb:65:in `run'
/opt/local/lib/ruby/1.8/webrick/server.rb:155:in `start_thread'
/opt/local/lib/ruby/1.8/webrick/server.rb:144:in `start'
/opt/local/lib/ruby/1.8/webrick/server.rb:144:in `start_thread'
/opt/local/lib/ruby/1.8/webrick/server.rb:94:in `start'
/opt/local/lib/ruby/1.8/webrick/server.rb:89:in `each'
/opt/local/lib/ruby/1.8/webrick/server.rb:89:in `start'
/opt/local/lib/ruby/1.8/webrick/server.rb:79:in `start'
/opt/local/lib/ruby/1.8/webrick/server.rb:79:in `start'
./script/../config/../vendor/rails/railties/lib/webrick_server.rb:
69:in `dispatch'
./script/../config/../vendor/rails/railties/lib/commands/servers/
webrick.rb:59
/opt/local/lib/ruby/vendor_ruby/1.8/rubygems/custom_require.rb:18:in
`require__'
/opt/local/lib/ruby/vendor_ruby/1.8/rubygems/custom_require.rb:18:in
`require'
./script/../config/../vendor/rails/activesupport/lib/active_support/
dependencies.rb:153:in `require'
./script/../config/../vendor/rails/railties/lib/commands/server.rb:28
script/server:3:in `require'
script/server:3


John Kopanas
http://www.kopanas.com


=====================================================================
http://www.soen.info - source of the freshest software engineering
information on the net
http://cusec.soen.info - software engineering conference
9904f8acaf66a3c1a4b4434676be11cf?d=identicon&s=25 John Kopanas (Guest)
on 2006-02-17 01:09
(Received via mailing list)
To answer my own question... you need ruby 1.8.4 to run rails edge.
Just in case someone was curious.

On 15-Feb-06, at 9:44 PM, John Kopanas wrote:

> I pasted the full trace just in case that would help:
> ./script/../config/../vendor/rails/actionpack/lib/action_controller/
> benchmarking.rb:69:in `perform_action_without_rescue'
> ./script/../config/../vendor/rails/railties/lib/dispatcher.rb:38:in
> /opt/local/lib/ruby/1.8/webrick/server.rb:94:in `start'
> /opt/local/lib/ruby/vendor_ruby/1.8/rubygems/custom_require.rb:
>
> http://lists.rubyonrails.org/mailman/listinfo/rails
John Kopanas
http://www.kopanas.com


=====================================================================
http://www.soen.info - source of the freshest software engineering
information on the net
http://cusec.soen.info - software engineering conference
Ef0db53920b243d6758c2f6b1306df0d?d=identicon&s=25 Steve Ross (cwd)
on 2006-02-17 04:51
Interesting... I've been running 1.8.2 with edge on two machines with no
problems but today I added some engines and got the same error. Are you
saying you can't just:

rails foo

freeze rails, and get a working foo application?



John Kopanas wrote:
> To answer my own question... you need ruby 1.8.4 to run rails edge.
> Just in case someone was curious.
>
> On 15-Feb-06, at 9:44 PM, John Kopanas wrote:
>
>> I pasted the full trace just in case that would help:
>> ./script/../config/../vendor/rails/actionpack/lib/action_controller/
>> benchmarking.rb:69:in `perform_action_without_rescue'
>> ./script/../config/../vendor/rails/railties/lib/dispatcher.rb:38:in
>> /opt/local/lib/ruby/1.8/webrick/server.rb:94:in `start'
>> /opt/local/lib/ruby/vendor_ruby/1.8/rubygems/custom_require.rb:
>>
>> http://lists.rubyonrails.org/mailman/listinfo/rails
> John Kopanas
> http://www.kopanas.com
>
>
> =====================================================================
> http://www.soen.info - source of the freshest software engineering
> information on the net
> http://cusec.soen.info - software engineering conference
9904f8acaf66a3c1a4b4434676be11cf?d=identicon&s=25 John Kopanas (Guest)
on 2006-02-17 05:16
(Received via mailing list)
That I do not know.  I just know the application I had did not allow
me to use edge rails on Mac OS X default install of ruby.

It could of been my use of acts_as_versioned or something else like
that.

On 16-Feb-06, at 10:51 PM, Steve Ross wrote:

>
>>> ./script/../config/../vendor/rails/railties/lib/dispatcher.rb:38:in
>> information on the net
>> http://cusec.soen.info - software engineering conference
>
>
> --
> Posted via http://www.ruby-forum.com/.
> _______________________________________________
> Rails mailing list
> Rails@lists.rubyonrails.org
> http://lists.rubyonrails.org/mailman/listinfo/rails


John Kopanas
http://www.kopanas.com


=====================================================================
http://www.soen.info - source of the freshest software engineering
information on the net
http://cusec.soen.info - software engineering conference
5d15c6821f3c3054c04b85471824ba7c?d=identicon&s=25 Niklas Hofer (Guest)
on 2006-03-17 05:22
(Received via mailing list)
I got 1.8.2 with actual rails from the gems. Working perfectly with
WebRick, but ot complains about const_missing with one of my 2 (!)
models when I use it with Apache. It's Version 2.0.54 with CGI, not
f*cgi - it's an old SuSE and sucking like hell..

Tomorrow I will try it on my working machine with Ubuntu/breezy, report
will follow. Any hint what I could try?
5d15c6821f3c3054c04b85471824ba7c?d=identicon&s=25 Niklas Hofer (Guest)
on 2006-03-19 17:01
(Received via mailing list)
It didn't work on my own machine either.
But I found out that the error goes away when I remove the "require
'libs/search' in my model (this one that has not been found). I used the
TextSearch thingy for easy searching over multiple fields.

Now I have to use the code per copy+paste in the model, but whatever.
Just wanna know why this happened?!

the lib I used: http://wiki.rubyonrails.com/rails/pages/TextSearch

regards
Niklas
This topic is locked and can not be replied to.